> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all teams with slim payload



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/team/all-slim
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/all-slim:
    get:
      tags:
        - Team
      summary: Get all teams with slim payload
      operationId: TeamController_getAllTeamsSlim
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TeamSlim'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    TeamSlim:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the team
        name:
          type: string
          description: Name of the team
        demo:
          type: boolean
          description: Whether this is a demo team
        logoUrl:
          type: string
          description: URL of the team logo
        serviceProvider:
          type: boolean
          description: Whether this team is a service provider
        parentTeamId:
          type: string
          description: ID of the parent team if this is a sub-team
      required:
        - id
        - name
        - demo
        - serviceProvider
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````